From caf885a7cdb5bc8758b0daf496d737fd3d0478d6 Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?Sandro=20Knau=C3=9F?= <bugs@sandroknauss.de>
Date: Wed, 30 Sep 2015 14:42:52 +0200
Subject: [PATCH] use pgpmode=self to verify signature

---
 debian/upstream/signing-key.asc | 60 +++++++++++++++++++++++++++++++++++++++++
 debian/watch                    |  3 ++-
 2 files changed, 62 insertions(+), 1 deletion(-)
 create mode 100644 debian/upstream/signing-key.asc

diff --git a/debian/upstream/signing-key.asc b/debian/upstream/signing-key.asc
new file mode 100644
index 0000000..2b5baea
--- /dev/null
+++ b/debian/upstream/signing-key.asc
@@ -0,0 +1,60 @@
+-----BEGIN PGP PUBLIC KEY BLOCK-----
+Version: GnuPG v1
+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+=O5Us
+-----END PGP PUBLIC KEY BLOCK-----
diff --git a/debian/watch b/debian/watch
index 9f88268..a27ac44 100644
--- a/debian/watch
+++ b/debian/watch
@@ -1,2 +1,3 @@
 version=3
-http://mirror.kolabsys.com/pub/releases/libkolabxml-([0-9\.]+)\.tar\.gz
+opts="pgpmode=self" \
+http://mirror.kolabsys.com/pub/releases/libkolabxml-([0-9\.]+)\.tar\.gz.gpg
-- 
2.1.4

